import Chat from "../islands/Chat.tsx";

export default function ChatPage() {
  return (
    <div class="min-h-screen p-4 sm:p-8">
      <h1 class="text-3xl sm:text-4xl font-bold text-secondary mb-6 sm:mb-8 text-center">
        Chat Room <div className="badge badge-dash badge-primary">Demo</div>
      </h1>
      <div class="max-w-4xl mx-auto">
        <Chat />
      </div>
      <div class="mt-8 text-center text-sm text-gray-500">
        <p>
          This is an ephemeral chat room. Messages are only visible to users
          currently online and aren't stored after you leave.
        </p>
      </div>
    </div>
  );
}
